CIMAG(3)

NAME
cimag, cimagf, cimagl - compute the imaginary part of a complex number

SYNOPSIS
#include <complex.h>
double
cimag(double complex z);
float
cimagf(float complex z);
long double
cimagl(long double complex z);

DESCRIPTION
The cimag(), cimagf() and cimagl() functions compute the imaginary part of z.

RETURN VALUES
The cimag(), cimagf() and cimagl() functions return the imaginary part of the complex number z as a real number.

SEE ALSO
carg(3)

STANDARDS
The cimag(), cimagf() and cimagl() functions conform to isoC-99.